> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Recommendations



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/brand-intelligence/recommendations
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/recommendations:
    get:
      tags:
        - Brand Intelligence history
        - BI evidence history
      summary: Recommendations
      operationId: >-
        recommendations_api_v1_brands__brand_id__brand_intelligence_recommendations_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: module
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Module
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 1024
              - type: 'null'
            title: Before
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            title: Limit
            default: 20
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecommendationPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RecommendationPage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/RecommendationResponse'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      title: RecommendationPage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RecommendationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        finding_id:
          type: string
          format: uuid
          title: Finding Id
        evidence_packet_id:
          type: string
          format: uuid
          title: Evidence Packet Id
        module:
          type: string
          title: Module
        title:
          type: string
          title: Title
        rationale:
          type: string
          title: Rationale
        intervention:
          additionalProperties: true
          type: object
          title: Intervention
        status:
          type: string
          title: Status
          default: proposed
        created_at:
          type: string
          format: date-time
          title: Created At
        events:
          items:
            $ref: '#/components/schemas/RecommendationEventResponse'
          type: array
          title: Events
        evidence_ids:
          items:
            type: string
          type: array
          title: Evidence Ids
        artifact_ids:
          items:
            type: string
          type: array
          title: Artifact Ids
        source_refs:
          additionalProperties:
            type: string
          type: object
          title: Source Refs
        coverage:
          additionalProperties: true
          type: object
          title: Coverage
      type: object
      required:
        - id
        - finding_id
        - evidence_packet_id
        - module
        - title
        - rationale
        - intervention
        - created_at
      title: RecommendationResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RecommendationEventResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        recommendation_id:
          type: string
          format: uuid
          title: Recommendation Id
        event_type:
          type: string
          title: Event Type
        payload:
          additionalProperties: true
          type: object
          title: Payload
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - recommendation_id
        - event_type
        - payload
        - created_at
      title: RecommendationEventResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````